desktopcouch doesn't work without a (running) gnome-keyring

Bug #561541 reported by Malte S. Stretz on 2010-04-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
desktopcouch (Ubuntu)
Undecided
Ubuntu One Client Engineering team
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: desktopcouch

I'm running Kubuntu and wanted to play around with my DesktopCouch. Unfortunately does the port getter already fail with an unhelpful error:

$ dbus-send --session --print-reply --dest=org.desktopcouch.CouchDB / org.desktopcouch.CouchDB.getPort
Error org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

I executed the script manually and got the following:

$ /usr/lib/desktopcouch/desktopcouch-get-port
** Message: secret service operation failed: The name org.freedesktop.secrets was not provided by any .service files
Traceback (most recent call last):
  File "/usr/lib/desktopcouch/desktopcouch-get-port", line 25, in <module>
    import desktopcouch
  File "/usr/lib/python2.6/dist-packages/desktopcouch/__init__.py", line 20, in <module>
    from desktopcouch.start_local_couchdb import process_is_couchdb, read_pidfile
  File "/usr/lib/python2.6/dist-packages/desktopcouch/start_local_couchdb.py", line 38, in <module>
    from desktopcouch import local_files
  File "/usr/lib/python2.6/dist-packages/desktopcouch/local_files.py", line 292, in <module>
    xdg_base_dirs.save_config_path("desktop-couch"))
  File "/usr/lib/python2.6/dist-packages/desktopcouch/local_files.py", line 232, in __init__
    self.configuration = _Configuration(self)
  File "/usr/lib/python2.6/dist-packages/desktopcouch/local_files.py", line 91, in __init__
    {'desktopcouch': 'basic'})
gnomekeyring.IOError

Unfortunately KWallet in KDE 4.4 doesn't support the secret-storage-spec yet. And gnome-keyring isn't started when you login to a KDE session.

Is there any reason desktopcouch has to depend on a secret storage daemon, even when used only locally?

TEST CASE:
1. In Kubuntu, ensure that gnome-keyring is not installed
  $ sudo apt-get remove --purge gnome-keyring
2. Clean any cached/registered data:
  $ rm -Rf ~/.config
3. Install desktopcouch without recommends
  $ sudo apt-get install --no-install-recommends desktopcouch
4. Verify that gnome-keyring is installed and that the credentials dialog is displayed when you run
  $ /usr/lib/desktopcouch/desktopcouch-get-port

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: desktopcouch 0.6.3-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-20.29-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic x86_64
Architecture: amd64
Date: Mon Apr 12 16:10:59 2010
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: desktopcouch

Malte S. Stretz (mss) wrote :
Roman Yepishev (rye) on 2010-05-27
Changed in desktopcouch (Ubuntu):
status: New → Confirmed
Roman Yepishev (rye) on 2010-05-27
Changed in desktopcouch (Ubuntu):
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
tags: added: desktop+
removed: amd64 apport-bug
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 0.6.6-0ubuntu2

---------------
desktopcouch (0.6.6-0ubuntu2) maverick; urgency=low

  * Add gnome-keyring to depends of python-desktopcouch (LP: #565376)
    and desktop couch (LP: #561541) for proper authentication in KDE
 -- Rohan Garg <email address hidden> Sat, 17 Jul 2010 21:19:44 +0530

Changed in desktopcouch (Ubuntu):
status: Confirmed → Fix Released

Accepted desktopcouch into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Jean-Baptiste Lallement (jibel) wrote :

SRU verification for Lucid:
I have reproduced the problem with desktopcouch 0.6.4-0ubuntu3 in lucid and have verified that the version of desktopcouch 0.6.4-0ubuntu3.1 in -proposed fixes the issue.

Marking as verification-done

description: updated
Changed in desktopcouch (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 0.6.4-0ubuntu3.1

---------------
desktopcouch (0.6.4-0ubuntu3.1) lucid-proposed; urgency=low

  * Add gnome-keyring to depends of python-desktopcouch (LP: #565376)
    and desktop couch (LP: #561541) for proper authentication in KDE
 -- Rohan Garg <email address hidden> Sun, 19 Sep 2010 20:18:04 +0200

Changed in desktopcouch (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers